Gecode::Gist::SearchItem Class Reference

A stack item for depth first search. More...

## Public Member Functions

| SearchItem (VisualNode *n0, int noOfChildren0)
| Constructor.

## Public Attributes

VisualNode * | n
| The node.
int | i
| The currently explored child.
int | noOfChildren
| The number of children.

## Detailed Description

A stack item for depth first search.

Definition at line 350 of file treecanvas.cpp.

## Constructor & Destructor Documentation

## SearchItem()

Gecode::Gist::SearchItem::SearchItem | ( | VisualNode * | n0,
|  | int | noOfChildren0 )

inline

Constructor.

Definition at line 359 of file treecanvas.cpp.

## Member Data Documentation

## n

VisualNode* Gecode::Gist::SearchItem::n

The node.

Definition at line 353 of file treecanvas.cpp.

## i

int Gecode::Gist::SearchItem::i

The currently explored child.

Definition at line 355 of file treecanvas.cpp.

## noOfChildren

int Gecode::Gist::SearchItem::noOfChildren

The number of children.

Definition at line 357 of file treecanvas.cpp.

The documentation for this class was generated from the following file:

- gecode/gist/treecanvas.cpp